WordPress.org

Ready to get started?Download WordPress

Forums

WP Updates Notifier
[resolved] Haven't received notification on several plugin updates (10 posts)

  1. amfm
    Member
    Posted 2 years ago #

    Hello,
    I recently installed WP Updates Notifier. I have yet to receive an email informing me of updates, but several of my plugins have required updates when I login to my site dashboard (examples: Ultimate Security Checker, Mute Screamer, Breadcrumb NavXT). I have it set to check hourly, and to notify me about both theme and plugin updates. I have checked junk folders on my email but not found anything there either. I'm using WP Updates Notifier version 1.2.

    Also FYI, through dashboard I clicked on visit plugin site and got page not found:
    http://l3rady.com/projects/wp-updates-notifier/

    Thanks in advance for any help!

    http://wordpress.org/extend/plugins/wp-updates-notifier/

  2. amfm
    Member
    Posted 2 years ago #

    I still haven't received a single update notification from this plugin (although there have been more plugin updates on my site since my last post.) Are you aware of any incompatibility with other plugins? I'd like this to work, but it has not performed for me at all, and I can't find any information online to troubleshoot this.

  3. Scott Cariss
    Member
    Plugin Author

    Posted 2 years ago #

    Please use latest version and hit the test email button. If you still don't receive an email then it would lead to be that sending email from WordPress is broken.

  4. RichardCurry
    Member
    Posted 2 years ago #

    I installed the newest version (1.3) 2 weeks ago and also ran the test email, I received the test email but for the last 5 days I've had 2 plugins that needed updated and I haven't receive an email. Is there anything else I should be checking?

  5. Scott Cariss
    Member
    Plugin Author

    Posted 2 years ago #

    Only thing I could think that is breaking down is the cron and it's not running.

    Can you install a plugin like http://wordpress.org/extend/plugins/cron-view/ and see if the cron is setup and is scheduled correctly.

    Also if you can send the value of key:sc_wpun_settings from your DB found in wp_options. Please send to my email if you don't want to publish publically

  6. RichardCurry
    Member
    Posted 2 years ago #

    cron-view shows:

    Apr 16, 2012 @ 18:24 (1334600673) Twice Daily sc_wpun_update_check

    sc_wpun_settings in DB:

    a:7:{s:9:"frequency";s:10:"twicedaily";s:9:"notify_to";s:16:"***@gmail.com";s:11:"notify_from";s:16:"***@gmail.com";s:14:"notify_plugins";i:1;s:13:"notify_themes";i:1;s:12:"hide_updates";i:1;s:8:"notified";a:3:{s:4:"core";s:0:"";s:6:"plugin";a:0:{}s:5:"theme";a:0:{}}}

    (I edited my email address but it was correct, oh and i did check my spam filter)

    I also noticed my sc_wpun_settings_ver said 1.0, while WP says i have 1.3 and shows i have the most updated. This was a new install not an update for WP Updates Notifier.

    Thanks for the help!

  7. RichardCurry
    Member
    Posted 2 years ago #

    just an update, I downloaded the version off the wp site and compared the code to what i have, it's the same. I think the 1.0 in the DB is just something that wasn't changed

    (pulled from most recent code)

    protected static $options_field_ver = "sc_wpun_settings_ver";
    protected static $options_field_current_ver = "1.0";

    So since the DB says 1.0 and the version is 1.3, if this was working would i be getting notifications that this plugin needs updated? :)

  8. Gabe
    Member
    Posted 2 years ago #

    I'm having the same problem for the last three weeks, and discovered his error in my wordpress log for every time the plugin runs (only been occurring for the last few weeks)

    [21-Apr-2012 06:35:59] PHP Fatal error: Using $this when not in object context in /home/xxxxxx/public_html/xxxxxx/wp-content/plugins/wp-updates-notifier/wp-updates-notifier.php on line 175

  9. Scott Cariss
    Member
    Plugin Author

    Posted 2 years ago #

    Hi all,

    I've released version 1.3.1 which fixes the above Fatal error.

    Scott

  10. RichardCurry
    Member
    Posted 2 years ago #

    the update fixed it for me, I just received an update message. Thank you for your time!!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic